osgManipulator::TranslateInPlaneCommand Class Reference

`#include <Command>`

Inheritance diagram for osgManipulator::TranslateInPlaneCommand:

## Public Member Functions

| TranslateInPlaneCommand ()
| TranslateInPlaneCommand (const osg::Plane &plane)
virtual void | accept (const Constraint &constraint)
virtual void | accept (DraggerCallback &callback)
virtual MotionCommand * | createCommandInverse ()
void | setPlane (const osg::Plane &plane)
const osg::Plane & | getPlane () const
void | setTranslation (const osg::Vec3d &t)
const osg::Vec3d & | getTranslation () const
void | setReferencePoint (const osg::Vec3d &rp)
const osg::Vec3d & | getReferencePoint () const
virtual osg::Matrix | getMotionMatrix () const
Public Member Functions inherited from osgManipulator::MotionCommand
| MotionCommand ()
void | setLocalToWorldAndWorldToLocal (const osg::Matrix &localToWorld, const osg::Matrix &worldToLocal)
const osg::Matrix & | getLocalToWorld () const
const osg::Matrix & | getWorldToLocal () const
void | setStage (const Stage s)
Stage | getStage () const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~TranslateInPlaneCommand ()
Protected Member Functions inherited from osgManipulator::MotionCommand
virtual | ~MotionCommand ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Additional Inherited Members

Public Types inherited from osgManipulator::MotionCommand
enum | Stage { NONE , START , MOVE , FINISH }
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Detailed Description

Command for translating in a plane.

## Constructor & Destructor Documentation

## TranslateInPlaneCommand() [1/2]

osgManipulator::TranslateInPlaneCommand::TranslateInPlaneCommand | ( |  | ) |

## TranslateInPlaneCommand() [2/2]

osgManipulator::TranslateInPlaneCommand::TranslateInPlaneCommand | ( | const osg::Plane & | plane | ) |

## ~TranslateInPlaneCommand()

virtual osgManipulator::TranslateInPlaneCommand::~TranslateInPlaneCommand | ( |  | ) |

protected virtual

## Member Function Documentation

## accept() [1/2]

virtual void osgManipulator::TranslateInPlaneCommand::accept | ( | const Constraint & | constraint | ) |

inline virtual

Reimplemented from osgManipulator::MotionCommand.

References osgManipulator::Constraint::constrain().

## accept() [2/2]

virtual void osgManipulator::TranslateInPlaneCommand::accept | ( | DraggerCallback & | callback | ) |

inline virtual

Reimplemented from osgManipulator::MotionCommand.

References osgManipulator::DraggerCallback::receive().

## createCommandInverse()

virtual MotionCommand * osgManipulator::TranslateInPlaneCommand::createCommandInverse | ( |  | ) |

virtual

create a MotionCommand that is the inverse of this command, and if applied will undo this commands changes.

Implements osgManipulator::MotionCommand.

References osgManipulator::MotionCommand::MotionCommand().

## getMotionMatrix()

virtual osg::Matrix osgManipulator::TranslateInPlaneCommand::getMotionMatrix | ( |  | ) | const

inline virtual

Gets the matrix for transforming the object being dragged. This matrix is in the command's coordinate systems.

Implements osgManipulator::MotionCommand.

References osg::Matrixd::translate().

## getPlane()

const osg::Plane & osgManipulator::TranslateInPlaneCommand::getPlane | ( |  | ) | const

inline

## getReferencePoint()

const osg::Vec3d & osgManipulator::TranslateInPlaneCommand::getReferencePoint | ( |  | ) | const

inline

## getTranslation()

const osg::Vec3d & osgManipulator::TranslateInPlaneCommand::getTranslation | ( |  | ) | const

inline

## setPlane()

void osgManipulator::TranslateInPlaneCommand::setPlane | ( | const osg::Plane & | plane | ) |

inline

## setReferencePoint()

void osgManipulator::TranslateInPlaneCommand::setReferencePoint | ( | const osg::Vec3d & | rp | ) |

inline

ReferencePoint is used only for snapping.

## setTranslation()

void osgManipulator::TranslateInPlaneCommand::setTranslation | ( | const osg::Vec3d & | t | ) |

inline

The documentation for this class was generated from the following file:

- Command